Bug 662359 - Fedora suspends immediately after laptop goes into batteries
Fedora suspends immediately after laptop goes into batteries
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
14
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-11 20:15 EST by Rui Correia
Modified: 2013-01-10 01:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 16:02:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rui Correia 2010-12-11 20:15:24 EST
Description of problem:
I'm not sure if this was present in earlier releases (joined when F13 got out).
I've set up Gnome's Power Management as follows:

== On AC Power ==
** Actions **
Put computer to sleep when inactive for: never
When laptop lid is closed: suspend
Spin down hard disks when possible: unchecked
** Display **
Put display to sleep when inactive for 5 minutes
Set display brightness to: 100%
Dim display when idle: unchecked

== On Battery Power ==
** Actions **
Put computer to sleep when inactive for: never
When laptop lid is closed: suspend
When battery power is critically low: hibernate
Spin down hard disks when possible: checked
** Display **
Put display to sleep when inactive for 5 minutes
Reduce backlight brightness: checked
Dim display when idle: checked 

When I have my laptop turned on and connected to AC power but I don't use it for a while (say 5-10 minutes) and I disconnect the power cord, the laptop immediately Suspends and I have to press the ON button to bring it out of suspend.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Connect laptop to AC power cord and use the power management settings described above
2. Let the laptop idle for a period of 5-10 minutes
3. Disconnect the AC power cord
4. The laptop immediately goes into suspend-mode
  
Actual results:


Expected results:
In my power settings, I don't even set that the computer should be put to sleep after an X period of minutes.
And even if I had set up a the computer to sleep after a given period, that period should only start counting AFTER I disconnect the computer from the AC power.
So, with my above settings, I would expect the computer to stay turned on until either I disconnect it or it reaches a point where battery is critically low (which in my tests was never the case).

Additional info:
Comment 1 abhay.a.deshpande 2011-02-06 11:42:28 EST
Yes, this is happening with me too, probably after a regular system update.

I have a samsung n148 laptop, with fedora 14, i386 version.
Comment 2 Richard Hughes 2011-11-15 07:54:15 EST
Does this still happen in F16? Thanks.
Comment 3 Fedora End Of Life 2012-08-16 16:02:32 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.